{
    "packages": [
        {
            "name": "clue/stream-filter",
            "version": "v1.7.0",
            "version_normalized": "1.7.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/clue/stream-filter.git",
                "reference": "049509fef80032cb3f051595029ab75b49a3c2f7"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/clue/stream-filter/zipball/049509fef80032cb3f051595029ab75b49a3c2f7",
                "reference": "049509fef80032cb3f051595029ab75b49a3c2f7",
                "shasum": ""
            },
            "require": {
                "php": ">=5.3"
            },
            "require-dev": {
                "phpunit/phpunit": "^9.6 || ^5.7 || ^4.8.36"
            },
            "time": "2023-12-20T15:40:13+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/functions_include.php"
                ],
                "psr-4": {
                    "Clue\\StreamFilter\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Christian Lück",
                    "email": "christian@clue.engineering"
                }
            ],
            "description": "A simple and modern approach to stream filtering in PHP",
            "homepage": "https://github.com/clue/stream-filter",
            "keywords": [
                "bucket brigade",
                "callback",
                "filter",
                "php_user_filter",
                "stream",
                "stream_filter_append",
                "stream_filter_register"
            ],
            "support": {
                "issues": "https://github.com/clue/stream-filter/issues",
                "source": "https://github.com/clue/stream-filter/tree/v1.7.0"
            },
            "funding": [
                {
                    "url": "https://clue.engineering/support",
                    "type": "custom"
                },
                {
                    "url": "https://github.com/clue",
                    "type": "github"
                }
            ],
            "install-path": "../clue/stream-filter"
        },
        {
            "name": "jumbojett/openid-connect-php",
            "version": "v1.0.2",
            "version_normalized": "1.0.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/jumbojett/OpenID-Connect-PHP.git",
                "reference": "f327e7eb0626d55ddb6abc7b7c9e6ad3af4e5d51"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/jumbojett/OpenID-Connect-PHP/zipball/f327e7eb0626d55ddb6abc7b7c9e6ad3af4e5d51",
                "reference": "f327e7eb0626d55ddb6abc7b7c9e6ad3af4e5d51",
                "shasum": ""
            },
            "require": {
                "ext-curl": "*",
                "ext-json": "*",
                "php": ">=7.0",
                "phpseclib/phpseclib": "^3.0.7"
            },
            "require-dev": {
                "phpunit/phpunit": "<10",
                "roave/security-advisories": "dev-latest",
                "yoast/phpunit-polyfills": "^2.0"
            },
            "time": "2024-09-13T07:08:11+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "classmap": [
                    "src/"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "Apache-2.0"
            ],
            "description": "Bare-bones OpenID Connect client",
            "support": {
                "issues": "https://github.com/jumbojett/OpenID-Connect-PHP/issues",
                "source": "https://github.com/jumbojett/OpenID-Connect-PHP/tree/v1.0.2"
            },
            "install-path": "../jumbojett/openid-connect-php"
        },
        {
            "name": "paragonie/constant_time_encoding",
            "version": "v3.1.3",
            "version_normalized": "3.1.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/paragonie/constant_time_encoding.git",
                "reference": "d5b01a39b3415c2cd581d3bd3a3575c1ebbd8e77"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/paragonie/constant_time_encoding/zipball/d5b01a39b3415c2cd581d3bd3a3575c1ebbd8e77",
                "reference": "d5b01a39b3415c2cd581d3bd3a3575c1ebbd8e77",
                "shasum": ""
            },
            "require": {
                "php": "^8"
            },
            "require-dev": {
                "infection/infection": "^0",
                "nikic/php-fuzzer": "^0",
                "phpunit/phpunit": "^9|^10|^11",
                "vimeo/psalm": "^4|^5|^6"
            },
            "time": "2025-09-24T15:06:41+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "ParagonIE\\ConstantTime\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paragon Initiative Enterprises",
                    "email": "security@paragonie.com",
                    "homepage": "https://paragonie.com",
                    "role": "Maintainer"
                },
                {
                    "name": "Steve 'Sc00bz' Thomas",
                    "email": "steve@tobtu.com",
                    "homepage": "https://www.tobtu.com",
                    "role": "Original Developer"
                }
            ],
            "description": "Constant-time Implementations of RFC 4648 Encoding (Base-64, Base-32, Base-16)",
            "keywords": [
                "base16",
                "base32",
                "base32_decode",
                "base32_encode",
                "base64",
                "base64_decode",
                "base64_encode",
                "bin2hex",
                "encoding",
                "hex",
                "hex2bin",
                "rfc4648"
            ],
            "support": {
                "email": "info@paragonie.com",
                "issues": "https://github.com/paragonie/constant_time_encoding/issues",
                "source": "https://github.com/paragonie/constant_time_encoding"
            },
            "install-path": "../paragonie/constant_time_encoding"
        },
        {
            "name": "paragonie/random_compat",
            "version": "v9.99.100",
            "version_normalized": "9.99.100.0",
            "source": {
                "type": "git",
                "url": "https://github.com/paragonie/random_compat.git",
                "reference": "996434e5492cb4c3edcb9168db6fbb1359ef965a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/paragonie/random_compat/zipball/996434e5492cb4c3edcb9168db6fbb1359ef965a",
                "reference": "996434e5492cb4c3edcb9168db6fbb1359ef965a",
                "shasum": ""
            },
            "require": {
                "php": ">= 7"
            },
            "require-dev": {
                "phpunit/phpunit": "4.*|5.*",
                "vimeo/psalm": "^1"
            },
            "suggest": {
                "ext-libsodium": "Provides a modern crypto API that can be used to generate random bytes."
            },
            "time": "2020-10-15T08:29:30+00:00",
            "type": "library",
            "installation-source": "dist",
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Paragon Initiative Enterprises",
                    "email": "security@paragonie.com",
                    "homepage": "https://paragonie.com"
                }
            ],
            "description": "PHP 5.x polyfill for random_bytes() and random_int() from PHP 7",
            "keywords": [
                "csprng",
                "polyfill",
                "pseudorandom",
                "random"
            ],
            "support": {
                "email": "info@paragonie.com",
                "issues": "https://github.com/paragonie/random_compat/issues",
                "source": "https://github.com/paragonie/random_compat"
            },
            "install-path": "../paragonie/random_compat"
        },
        {
            "name": "php-http/client-common",
            "version": "2.7.3",
            "version_normalized": "2.7.3.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-http/client-common.git",
                "reference": "dcc6de29c90dd74faab55f71b79d89409c4bf0c1"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-http/client-common/zipball/dcc6de29c90dd74faab55f71b79d89409c4bf0c1",
                "reference": "dcc6de29c90dd74faab55f71b79d89409c4bf0c1",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0",
                "php-http/httplug": "^2.0",
                "php-http/message": "^1.6",
                "psr/http-client": "^1.0",
                "psr/http-factory": "^1.0",
                "psr/http-message": "^1.0 || ^2.0",
                "symfony/options-resolver": "~4.0.15 || ~4.1.9 || ^4.2.1 || ^5.0 || ^6.0 || ^7.0 || ^8.0",
                "symfony/polyfill-php80": "^1.17"
            },
            "require-dev": {
                "doctrine/instantiator": "^1.1",
                "guzzlehttp/psr7": "^1.4",
                "nyholm/psr7": "^1.2",
                "phpunit/phpunit": "^7.5.20 || ^8.5.33 || ^9.6.7"
            },
            "suggest": {
                "ext-json": "To detect JSON responses with the ContentTypePlugin",
                "ext-libxml": "To detect XML responses with the ContentTypePlugin",
                "php-http/cache-plugin": "PSR-6 Cache plugin",
                "php-http/logger-plugin": "PSR-3 Logger plugin",
                "php-http/stopwatch-plugin": "Symfony Stopwatch plugin"
            },
            "time": "2025-11-29T19:12:34+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Http\\Client\\Common\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com"
                }
            ],
            "description": "Common HTTP Client implementations and tools for HTTPlug",
            "homepage": "http://httplug.io",
            "keywords": [
                "client",
                "common",
                "http",
                "httplug"
            ],
            "support": {
                "issues": "https://github.com/php-http/client-common/issues",
                "source": "https://github.com/php-http/client-common/tree/2.7.3"
            },
            "install-path": "../php-http/client-common"
        },
        {
            "name": "php-http/discovery",
            "version": "1.20.0",
            "version_normalized": "1.20.0.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-http/discovery.git",
                "reference": "82fe4c73ef3363caed49ff8dd1539ba06044910d"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-http/discovery/zipball/82fe4c73ef3363caed49ff8dd1539ba06044910d",
                "reference": "82fe4c73ef3363caed49ff8dd1539ba06044910d",
                "shasum": ""
            },
            "require": {
                "composer-plugin-api": "^1.0|^2.0",
                "php": "^7.1 || ^8.0"
            },
            "conflict": {
                "nyholm/psr7": "<1.0",
                "zendframework/zend-diactoros": "*"
            },
            "provide": {
                "php-http/async-client-implementation": "*",
                "php-http/client-implementation": "*",
                "psr/http-client-implementation": "*",
                "psr/http-factory-implementation": "*",
                "psr/http-message-implementation": "*"
            },
            "require-dev": {
                "composer/composer": "^1.0.2|^2.0",
                "graham-campbell/phpspec-skip-example-extension": "^5.0",
                "php-http/httplug": "^1.0 || ^2.0",
                "php-http/message-factory": "^1.0",
                "phpspec/phpspec": "^5.1 || ^6.1 || ^7.3",
                "sebastian/comparator": "^3.0.5 || ^4.0.8",
                "symfony/phpunit-bridge": "^6.4.4 || ^7.0.1"
            },
            "time": "2024-10-02T11:20:13+00:00",
            "type": "composer-plugin",
            "extra": {
                "class": "Http\\Discovery\\Composer\\Plugin",
                "plugin-optional": true
            },
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Http\\Discovery\\": "src/"
                },
                "exclude-from-classmap": [
                    "src/Composer/Plugin.php"
                ]
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com"
                }
            ],
            "description": "Finds and installs PSR-7, PSR-17, PSR-18 and HTTPlug implementations",
            "homepage": "http://php-http.org",
            "keywords": [
                "adapter",
                "client",
                "discovery",
                "factory",
                "http",
                "message",
                "psr17",
                "psr7"
            ],
            "support": {
                "issues": "https://github.com/php-http/discovery/issues",
                "source": "https://github.com/php-http/discovery/tree/1.20.0"
            },
            "install-path": "../php-http/discovery"
        },
        {
            "name": "php-http/httplug",
            "version": "2.4.1",
            "version_normalized": "2.4.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-http/httplug.git",
                "reference": "5cad731844891a4c282f3f3e1b582c46839d22f4"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-http/httplug/zipball/5cad731844891a4c282f3f3e1b582c46839d22f4",
                "reference": "5cad731844891a4c282f3f3e1b582c46839d22f4",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0",
                "php-http/promise": "^1.1",
                "psr/http-client": "^1.0",
                "psr/http-message": "^1.0 || ^2.0"
            },
            "require-dev": {
                "friends-of-phpspec/phpspec-code-coverage": "^4.1 || ^5.0 || ^6.0",
                "phpspec/phpspec": "^5.1 || ^6.0 || ^7.0"
            },
            "time": "2024-09-23T11:39:58+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Http\\Client\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Eric GELOEN",
                    "email": "geloen.eric@gmail.com"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com",
                    "homepage": "https://sagikazarmark.hu"
                }
            ],
            "description": "HTTPlug, the HTTP client abstraction for PHP",
            "homepage": "http://httplug.io",
            "keywords": [
                "client",
                "http"
            ],
            "support": {
                "issues": "https://github.com/php-http/httplug/issues",
                "source": "https://github.com/php-http/httplug/tree/2.4.1"
            },
            "install-path": "../php-http/httplug"
        },
        {
            "name": "php-http/message",
            "version": "1.16.2",
            "version_normalized": "1.16.2.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-http/message.git",
                "reference": "06dd5e8562f84e641bf929bfe699ee0f5ce8080a"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-http/message/zipball/06dd5e8562f84e641bf929bfe699ee0f5ce8080a",
                "reference": "06dd5e8562f84e641bf929bfe699ee0f5ce8080a",
                "shasum": ""
            },
            "require": {
                "clue/stream-filter": "^1.5",
                "php": "^7.2 || ^8.0",
                "psr/http-message": "^1.1 || ^2.0"
            },
            "provide": {
                "php-http/message-factory-implementation": "1.0"
            },
            "require-dev": {
                "ergebnis/composer-normalize": "^2.6",
                "ext-zlib": "*",
                "guzzlehttp/psr7": "^1.0 || ^2.0",
                "laminas/laminas-diactoros": "^2.0 || ^3.0",
                "php-http/message-factory": "^1.0.2",
                "phpspec/phpspec": "^5.1 || ^6.3 || ^7.1",
                "slim/slim": "^3.0"
            },
            "suggest": {
                "ext-zlib": "Used with compressor/decompressor streams",
                "guzzlehttp/psr7": "Used with Guzzle PSR-7 Factories",
                "laminas/laminas-diactoros": "Used with Diactoros Factories",
                "slim/slim": "Used with Slim Framework PSR-7 implementation"
            },
            "time": "2024-10-02T11:34:13+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "src/filters.php"
                ],
                "psr-4": {
                    "Http\\Message\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com"
                }
            ],
            "description": "HTTP Message related tools",
            "homepage": "http://php-http.org",
            "keywords": [
                "http",
                "message",
                "psr-7"
            ],
            "support": {
                "issues": "https://github.com/php-http/message/issues",
                "source": "https://github.com/php-http/message/tree/1.16.2"
            },
            "install-path": "../php-http/message"
        },
        {
            "name": "php-http/promise",
            "version": "1.3.1",
            "version_normalized": "1.3.1.0",
            "source": {
                "type": "git",
                "url": "https://github.com/php-http/promise.git",
                "reference": "fc85b1fba37c169a69a07ef0d5a8075770cc1f83"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/php-http/promise/zipball/fc85b1fba37c169a69a07ef0d5a8075770cc1f83",
                "reference": "fc85b1fba37c169a69a07ef0d5a8075770cc1f83",
                "shasum": ""
            },
            "require": {
                "php": "^7.1 || ^8.0"
            },
            "require-dev": {
                "friends-of-phpspec/phpspec-code-coverage": "^4.3.2 || ^6.3",
                "phpspec/phpspec": "^5.1.2 || ^6.2 || ^7.4"
            },
            "time": "2024-03-15T13:55:21+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "psr-4": {
                    "Http\\Promise\\": "src/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Joel Wurtz",
                    "email": "joel.wurtz@gmail.com"
                },
                {
                    "name": "Márk Sági-Kazár",
                    "email": "mark.sagikazar@gmail.com"
                }
            ],
            "description": "Promise used for asynchronous HTTP requests",
            "homepage": "http://httplug.io",
            "keywords": [
                "promise"
            ],
            "support": {
                "issues": "https://github.com/php-http/promise/issues",
                "source": "https://github.com/php-http/promise/tree/1.3.1"
            },
            "install-path": "../php-http/promise"
        },
        {
            "name": "phpseclib/phpseclib",
            "version": "3.0.55",
            "version_normalized": "3.0.55.0",
            "source": {
                "type": "git",
                "url": "https://github.com/phpseclib/phpseclib.git",
                "reference": "db9744e6d47e742b1f974e965ad49bdd041105af"
            },
            "dist": {
                "type": "zip",
                "url": "https://api.github.com/repos/phpseclib/phpseclib/zipball/db9744e6d47e742b1f974e965ad49bdd041105af",
                "reference": "db9744e6d47e742b1f974e965ad49bdd041105af",
                "shasum": ""
            },
            "require": {
                "paragonie/constant_time_encoding": "^1|^2|^3",
                "paragonie/random_compat": "^1.4|^2.0|^9.99.99",
                "php": ">=5.6.1"
            },
            "require-dev": {
                "phpunit/phpunit": "*"
            },
            "suggest": {
                "ext-dom": "Install the DOM extension to load XML formatted public keys.",
                "ext-gmp": "Install the GMP (GNU Multiple Precision) extension in order to speed up arbitrary precision integer arithmetic operations.",
                "ext-libsodium": "SSH2/SFTP can make use of some algorithms provided by the libsodium-php extension.",
                "ext-mcrypt": "Install the Mcrypt extension in order to speed up a few other cryptographic operations.",
                "ext-openssl": "Install the OpenSSL extension in order to speed up a wide variety of cryptographic operations."
            },
            "time": "2026-06-14T23:24:10+00:00",
            "type": "library",
            "installation-source": "dist",
            "autoload": {
                "files": [
                    "phpseclib/bootstrap.php"
                ],
                "psr-4": {
                    "phpseclib3\\": "phpseclib/"
                }
            },
            "notification-url": "https://packagist.org/downloads/",
            "license": [
                "MIT"
            ],
            "authors": [
                {
                    "name": "Jim Wigginton",
                    "email": "terrafrost@php.net",
                    "role": "Lead Developer"
                },
                {
                    "name": "Patrick Monnerat",
                    "email": "pm@datasphere.ch",
                    "role": "Developer"
                },
                {
                    "name": "Andreas Fischer",
                    "email": "bantu@phpbb.com",
                    "role": "Developer"
                },
                {
                    "name": "Hans-Jürgen Petrich",
                    "email": "petrich@tronic-media.com",
                    "role": "Developer"
                },
                {
                    "name": "Graham Campbell",
                    "email": "graham@alt-three.com",
                    "role": "Developer"
                }
            ],
            "description": "PHP Secure Communications Library - Pure-PHP implementations of RSA, AES, SSH2, SFTP, X.509 etc.",
            "homepage": "http://phpseclib.sourceforge.net",
            "keywords": [
                "BigInteger",
                "aes",
                "asn.1",
                "asn1",
                "blowfish",
                "crypto",
                "cryptography",
                "encryption",
                "rsa",
                "security",
                "sftp",
                "signature",
                "signing",
                "ssh",
                "twofish",
                "x.509",
                "x509"
            ],
            "support": {
                "issues": "https://github.com/phpseclib/phpseclib/issues",
                "source": "https://github.com/phpseclib/phpseclib/tree/3.0.55"
            },
            "funding": [
                {
                    "url": "https://github.com/terrafrost",
                    "type": "github"
                },
                {
                    "url": "https://www.patreon.com/phpseclib",
                    "type": "patreon"
                },
                {
                    "url": "https://tidelift.com/funding/github/packagist/phpseclib/phpseclib",
                    "type": "tidelift"
                }
            ],
            "install-path": "../phpseclib/phpseclib"
        }
    ],
    "dev": false,
    "dev-package-names": []
}
